## mailto 1.3.2

=== Makefile ===
PROJECT = mailto
VERSION = 1.3

PREFIX = /usr/machine/etc/httpd

BINDIR = $(PREFIX)/cgi-bin

SOURCES = mailto.c util.c
OBJECTS = mailto.o util.o
TARGETS = mailto

INSTALL = bsdinst
INSTALL_PROGRAM = $(INSTALL) -s -m 555

all: $(TARGETS)

mailto: $(OBJECTS)
	$(CC) $(CFLAGS) $(OBJECTS) -o $@

install: all
	test -d $(BINDIR) || mkdir -p $(BINDIR)
	$(INSTALL_PROGRAM) mailto $(BINDIR)

clean:
	rm -f *.o core $(TARGETS)

dist: clean
	cd ..; 	tar cf - $(PROJECT)-$(VERSION) | gzip -9 >$(PROJECT)-$(VERSION).tar.gz

check:
	lint -u $(SOURCES)
	gcc -Wall -fsyntax-only $(SOURCES)

depend:
	makedepend -- $(CFLAGS) $(COPTS) -- $(SOURCES)

=== debian/changelog ===
mailto (1.3.2-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #934424)
  * Migrations:
      - DebSrc to 3.0.
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format. Consequently:
          ~ debian/docs: created to install documents.
          ~ debian/install: created to install the conf file.
  * Ran wrap-and-sort.
  * debian/changes: renamed to upstream.changelog.
  * debian/conffiles: removed because debhelper manages the content of /etc
    automatically.
  * debian/control:
      - Added ${misc:Depends}.
      - Added Build-Depends field.
      - Added Homepage field.
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.6.2.
      - Fixed a spelling error in long description.
      - Removed from binary stanza the fields already declared in source stanza
        (Section and Priority).
      - Updated dependencies:
          ~ apache => apache2.
          ~ exim4 => default-mta.
  * debian/copyright:
      - Fixed the main licensing. Changed from GPL-2+ to GPL-2.
      - Set mailto.c as MIT-variant.
      - Updated all data.
  * debian/mailto.conf: fixed a spelling error.
  * debian/NMU-Disclaimer: removed. This file had inside very deprecated
    information.
  * debian/patches/:
      - 010_changes-from-1.0.patch: created to group all previous direct
        changes in upstream source code.
      - 020_fix-string.patch: created to fix a string with no format arguments.
      - 030_fix-enc-size.patch: created to fix the size of enc, considering a
        \0 termination.
      - 040_add-gcc-hardening.patch: created to add the GCC hardening.
  * debian/readme.txt: fixed a spelling error.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/usage.txt: fixed some spelling errors.
  * debian/watch: added a fake site to explain about the current status of the
    original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 Jun 2023 14:17:17 -0300

mailto (1.3.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Implement the required build-arch and build-indep targets in debian/rules.
    (Closes: #998978)
  * Make the build reproducible by adding "-n" to the gzip(1) invocation.
    (Closes: #777413)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 09:26:08 -0700

mailto (1.3.2-3) unstable; urgency=low

  * Disable included version of getline() since it is unused and produce
    an FTBFS (closes: Bug#551449)
  * Don't use '0' flag used with '%p' gnu_printf format [mailto.c]

 -- Joey Schulze <joey@infodrom.org>  Sat, 16 Jan 2010 20:27:45 +0100

mailto (1.3.2-2) unstable; urgency=low

  * Fixed typo in NMU-Disclaimer, thanks to Petter Reinholdtsen (See:
    Bug#225895)
  * Extract the local mail hostname from /etc/mailname (closes:
    Bug#415134)
  * Fixed two compiler warnings

 -- Martin Schulze <joey@infodrom.org>  Sat, 17 Mar 2007 12:55:10 +0100

mailto (1.3.2-1) unstable; urgency=low

  * New upstream version
  * This refers to the final upstream version since upstream has abandoned
    this package long ago.  Only Debian seems to distribute and maintain it
  * Added support for special mail headers required when delivering mail
    with non-ascii character encoding

 -- Martin Schulze <joey@infodrom.org>  Sun, 12 Dec 2004 14:06:33 +0100

mailto (1.3.1-1) unstable; urgency=low

  * New upstream version
  * Adjusted native report on Cc
  * Added section about special variables for better documentation
  * Added missing \r for the smtp protocol
  * Added a note to the entire GPL to debian/copyright
  * Removed the prerm since the /usr/share/doc conversion is done already
  * Bumped the standards version

 -- Martin Schulze <joey@infodrom.org>  Sat, 11 Dec 2004 18:06:17 +0100

mailto (1.3-1) unstable; urgency=low

  * New upstream version
  * New license: GNU GPLv2
  * Added support for new upstream Makefile
  * Updated debian/copyright file according to upstream copyright
  * Added documentation for carbon copy (Cc)
  * Better note webmaster@ as address to send errors to

 -- Martin Schulze <joey@infodrom.org>  Thu,  9 Dec 2004 09:53:31 +0100

mailto (1.2.7-1) unstable; urgency=low

  * New upstream version
  * Fixed format string vulnerability

 -- Martin Schulze <joey@infodrom.org>  Wed,  8 Dec 2004 21:16:14 +0100

mailto (1.2.6-5) unstable; urgency=low

  * Added a disclaimer for those people who plan to NMU this package
  * Adjusted dependency to exim4 since it's the default MTA already
    (closes: Bug#228582)
  * Improved description
  * Updated copyright file
  * Cleaned up some code in mailto.c
  * Wrote and added a small test program
  * Added an UTF-8 detection rules so that valid UTF-8 characters won't be
    eaten anymore
  * No need for the postinst anymore since /usr/doc is gone

 -- Martin Schulze <joey@infodrom.org>  Sat,  4 Dec 2004 10:13:01 +0100

mailto (1.2.6-4) unstable; urgency=medium

  * Finally fixed the redirection problem that mailto had. (closes:
    Bug#79570, Bug#71090)
  * Added bilingual message for HTTP relocation
  * Applied NMU patches from Marcelo (closes: Bug#93958, Bug#93956)
  * Applied patch from Ryan Hayle <ryan@savvynet.com> to send CRLF in the
    SMTP dialog instead of just LF (closes: Bug#68790)
  * Corrected some German messages (not that they were used in the Debian
    version... I guess I became upstream of this package, not sure though)
  * Added information about potential mail lossage when the pipe to
    sendmail is closed which caused an error (potential fix for Bug#54309)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 10 Aug 2001 23:50:01 +0200

mailto (1.2.6-3.2) unstable; urgency=low

  * NMU
  * debian/rules Duh! Fixed check for nostrip.
  * debian/control: added | apache to Depends
  * debian/control: added section and priority to binary package



=== debian/control ===
Source: mailto
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://www-ftp.lip6.fr/ftp/pub/www/more-tools/cgi-src/
Vcs-Browser: https://salsa.debian.org/debian/mailto
Vcs-Git: https://salsa.debian.org/debian/mailto.git

Package: mailto
Architecture: any
Depends: apache2 | httpd,
         default-mta | mail-transport-agent,
         ${misc:Depends},
         ${shlibs:Depends}
Description: WWW Forms to Mail Gateway
 This package provides a CGI program that converts data submitted
 via a <forms> web formulary to simple mail which is sent to a given
 address.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# lint command is not available on Debian.
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- BINDIR=debian/mailto/usr/lib/cgi-bin

execute_after_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog
